This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 946932 - (CVE-2013-0795) CVE-2013-0795 Mozilla: Bypass of SOW protections allows cloning of protected nodes (MFSA 2013-36)
CVE-2013-0795 Mozilla: Bypass of SOW protections allows cloning of protected ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130402,repor...
: Security
Depends On:
Blocks: 923151
  Show dependency treegraph
 
Reported: 2013-03-31 22:05 EDT by Huzaifa S. Sidhpurwala
Modified: 2013-04-03 12:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 12:17:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-03-31 22:05:33 EDT
Security researcher Cody Crews reported a mechanism to use the cloneNode method to bypass Same Origin Wrappers (SOW) and clone a protected node. This allows violation of the browser's same origin policy and could also lead to privilege escalation and the execution of arbitrary code.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-36.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Cody Crews as the original reporter.
Comment 1 errata-xmlrpc 2013-04-02 15:49:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0697 https://rhn.redhat.com/errata/RHSA-2013-0697.html
Comment 2 errata-xmlrpc 2013-04-02 16:07:51 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0696 https://rhn.redhat.com/errata/RHSA-2013-0696.html

Note You need to log in before you can comment on or make changes to this bug.